Capture Payment
curl --request POST \
--url https://api.atlas.co/functions/v1/capture-payment/{payment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 123
}'import requests
url = "https://api.atlas.co/functions/v1/capture-payment/{payment_id}"
payload = { "amount": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123})
};
fetch('https://api.atlas.co/functions/v1/capture-payment/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"psp_transaction_id": "<string>",
"captured_amount": 123,
"refunded_amount": 123,
"card": {
"brand": "<string>",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123
},
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Payments
Capture Payment
Capture an authorized payment. Supports partial captures.
POST
/
capture-payment
/
{payment_id}
Capture Payment
Authorizations
API key (sk_test_* or sk_live_*)
Path Parameters
Body
application/json
Partial capture amount in cents
Response
Payment captured
Available options:
pending, authorized, captured, failed, canceled, refunded Available options:
card, apple_pay, google_pay, bank_account, paypal Available options:
stripe, adyen, authorizenet, chase, nuvei, dlocal, braintree, checkoutcom, airwallex, windcave, paypal Show child attributes
Show child attributes
⌘I